which version of safari and itunes is compatiable with mac os x 10.5.4??? plzz send me link for download.

1 Answer from the Community

  • Hello there,

    Mac OS 10.5 Leopard is way too old, the one you currently have would be the one for it.

    here is the latest version supported for Mac OS X 10.5

    Last version of iTunes supports Mac OS X 10.5.8 is iTunes 10.6.3

    you can try update your Mac OS X 10.5.4 to 10.5.8 to get iTunes 10.6.3

    Latest version of Safari supported is Safari 5.0.6 and you won't get all the features especially security features. not recommended to use the Mac anymore

    • Answered by Yulin L
    • 9/03/2017